if [ $# -eq 0 ]; then
	echo "usage : $0 <tracefile> [<flowid>]"
	echo "    <tracefile>   = name of the trace file to load"
	echo "    <flowid>      = id of the flow to consider"
	exit
fi

fid=${2:-1}

export LC_NUMERIC="POSIX"

# On isole les paquets correspondant au flot $fid.
# On enlève les doublons.
# On affiche le délai entre le premier et le dernier
# énévement relatif à chaque paquet.
# Et enfin on calcule la moyenne.
awk '$8 == '$fid' { print $12, $2, $1 }' $1 | \
sort -k 1n,1 -k 2n,2 | uniq | \
awk 'BEGIN { current = -1; }
$3 == "d" { current = -1; }
$3 != "d" { if (current != $1)
	{ if (current != -1) print t1 - t0;
	  current = $1; t0 = $2; }
	t1 = $2; }
END { if (current != -1) print t1 - t0; }' | \
awk '{ total += $1; } END { print total/NR; }'
