# instantiation du simulateur
set ns [new Simulator]
set outfile "out1"

# definition de la couleur 1
$ns color 1 Blue

# instantiation du fichier de traces
set file1 [open $outfile.tr w]
$ns trace-all $file1

# instantiation du fichier de traces pour NAM
set file2 [open $outfile.nam w]
$ns namtrace-all $file2

# lorsque la simulation sera terminee, cette procedure est appelee
# pour lancer automatiquement le visualisateur NAM
proc finish {} {
  global ns file1 file2 outfile
  $ns flush-trace
  close $file1
  close $file2
  exec nam $outfile.nam &
  exit 0
}

# instantiation de deux noeuds
set n0 [$ns node]
set n1 [$ns node]

# instantiation d'une ligne de communication full duplex
# entre les noeuds n0 et n1
$ns duplex-link $n0 $n1 1Mb 10ms DropTail

# instantiation d'une connexion UDP
set udp [new Agent/UDP]
$ns attach-agent $n0 $udp
set null [new Agent/Null]
$ns attach-agent $n1 $null

$ns connect $udp $null
$udp set fid_ 1

# instantiation d'un trafic CBR compose de
# paquets de 500 octets, generes toutes les 5 ms
set cbr0 [new Application/Traffic/CBR]
$cbr0 attach-agent $udp
$cbr0 set packetSize_ 500
$cbr0 set interval_ 0.005

# scenario de la simulation
$ns at 1.0 "$cbr0 start"
$ns at 4.5 "$cbr0 stop"

# la simulation va durer 5 secondes
$ns at 5.0 "finish"

# lancement de la simulation
$ns run
