# instantiation du simulateur
set ns [new Simulator]
set outfile "out2"

# definition des couleurs
$ns color 1 Blue
$ns color 2 Red

# instantiation du fichier de traces
set file1 [open $outfile.tr w]
$ns trace-all $file1

# instantiation du fichier de traces pour NAM
set file2 [open $outfile.nam w]
$ns namtrace-all $file2

# lorsque la simulation sera terminee, cette procedure est appelee
# pour lancer automatiquement le visualisateur NAM
proc finish {} {
  global ns file1 file2 outfile
  $ns flush-trace
  close $file1
  close $file2
  exec nam $outfile.nam &
  exit 0
}

# instantiation de deux noeuds
set n0 [$ns node]
set n1 [$ns node]
set n2 [$ns node]
set n3 [$ns node]

# instantiation des lignes de communication
$ns duplex-link $n0 $n1 2Mb 10ms DropTail
$ns duplex-link $n1 $n2 2Mb 10ms DropTail
$ns duplex-link $n2 $n3 2Mb 10ms DropTail

# instantiation de la connexion
set tcp0 [new Agent/TCP]
$ns attach-agent $n0 $tcp0
set tcp1 [new Agent/TCP]
$ns attach-agent $n1 $tcp1
set sink2 [new Agent/TCPSink]
$ns attach-agent $n2 $sink2
set sink3 [new Agent/TCPSink]
$ns attach-agent $n3 $sink3

$ns connect $tcp0 $sink3
$ns connect $tcp1 $sink2
$tcp0 set fid_ 1
$tcp1 set fid_ 2
$tcp0 set packetSize_ 1000
$tcp1 set packetSize_ 1000

# instantiation du traffic
set ftp1 [new Application/FTP]
set ftp2 [new Application/FTP]
$ftp1 attach-agent $tcp1
$ftp2 attach-agent $tcp0

# scenario de la simulation
$ns at 0.5 "$ftp1 start"
$ns at 0.5 "$ftp2 start"
$ns at 5.5 "$ftp1 stop"
$ns at 5.5 "$ftp2 stop"

# la simulation va durer 6 secondes
$ns at 6.0 "finish"

# lancement de la simulation
$ns run
