# instantiation du simulateur
set ns [new Simulator]
set outfile "out3"

# definition des couleurs
$ns color 1 Blue
$ns color 2 Red

# instantiation du fichier de traces
set file1 [open $outfile.tr w]
$ns trace-all $file1

# instantiation du fichier de traces pour NAM
set file2 [open $outfile.nam w]
$ns namtrace-all $file2

# lorsque la simulation sera terminee, cette procedure est appelee
# pour lancer automatiquement le visualisateur NAM
proc finish {} {
  global ns file1 file2 outfile
  $ns flush-trace
  close $file1
  close $file2
  exec nam $outfile.nam &
  exit 0
}

# instantiation de deux noeuds
set n0 [$ns node]
set n1 [$ns node]
set n2 [$ns node]
set n3 [$ns node]

# instantiation des lignes de communication
$ns duplex-link $n0 $n2 2Mb 10ms DropTail
$ns duplex-link $n1 $n2 2Mb 10ms DropTail
$ns duplex-link $n2 $n3 1.5Mb 20ms DropTail # DropTail | SFQ

# definition de la longueur de la file d'attente sur le lien (n2,n3)
$ns queue-limit $n2 $n3 10

$ns duplex-link-op $n2 $n3 queuePos 0.5

# instantiation de la connexion
set tcp [new Agent/TCP]
$ns attach-agent $n0 $tcp
set sink [new Agent/TCPSink]
$ns attach-agent $n3 $sink
set udp [new Agent/UDP]
$ns attach-agent $n1 $udp
set null [new Agent/Null]
$ns attach-agent $n3 $null

$ns connect $tcp $sink
$ns connect $udp $null
$tcp set fid_ 1
$udp set fid_ 2
$tcp set packetSize_ 1000

# instantiation du traffic
set ftp0 [new Application/FTP]
set cbr1 [new Application/Traffic/CBR]
$ftp0 attach-agent $tcp
$cbr1 attach-agent $udp

$cbr1 set packetSize_ 1000
$cbr1 set rate_ 1Mb

# scenario de la simulation
$ns at 1.0 "$cbr1 start"
$ns at 2.0 "$ftp0 start"
$ns at 4.0 "$ftp0 stop"
$ns at 5.0 "$cbr1 stop"

# la simulation va durer 6 secondes
$ns at 6.0 "finish"

# lancement de la simulation
$ns run
