if [ $# -eq 0 ]; then
	echo "usage : $0 <tracefile> [<flowid>]"
	echo "    <tracefile>   = name of the trace file to load"
	echo "    <flowid>      = id of the flow to consider"
	exit
fi

fid=${2:-1}

export LC_NUMERIC="POSIX"

# On liste les paquets reçus (r) ou jetés (d) correspondant au flot $fid
# On élimine ensuite les répétitions (on garde une ligne par paquet),
# Puis on fait le rapport |d| / (|r| + |d|)
awk '$8 == '$fid' && ($1 == "r" || $1 == "d") { print $1, $12 }' $1 | \
sort -k 2n,2 | uniq -f 1 | awk '{ if ($1 == "d") lost += 1; else transmis += 1; }
END { print "perdus :  ", lost; print "transmis :", transmis; print "taux :    ", lost / (lost + transmis) }'
